summaryrefslogtreecommitdiff
path: root/bg1/install-patch-intl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bg1/install-patch-intl.sh')
-rwxr-xr-xbg1/install-patch-intl.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/bg1/install-patch-intl.sh b/bg1/install-patch-intl.sh
index 0e12853..56ec960 100755
--- a/bg1/install-patch-intl.sh
+++ b/bg1/install-patch-intl.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# BG1 official international patch
+# BG1 official international patch v1.1.4315
+#
+# info : http://downloads.bioware.com/baldursgate1/bgint114315.txt
+# size : 15 MB
+# date : 2/17/99
+
+patch_url="http://downloads.bioware.com/baldursgate1/bgintl114315.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -26,9 +33,9 @@ checkforbin unzip unshield wget
setuptmp
-getpatch http://downloads.bioware.com/baldursgate1/bgintl114315.exe
+getpatch $patch_url
-unzip "${TMPDIR}/bgintl114315.exe" -d "${TMPDIR}" || diesoftly
+unzip "${TMPDIR}/${patch_name}" -d "${TMPDIR}" || diesoftly
unshield -g "$LANGUAGE" -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
LANGUAGE="$(echo $LANGUAGE|tr A-Z a-z|tr ' ' _)" # alter formatting